<?php

namespace Support\Support\Http\Controllers;

use App\Http\Controllers\PublicController as CMSPublicController;
use Support\Support\Interfaces\SupportRepositoryInterface;

class SupportPublicController extends CMSPublicController
{
    /**
     * Constructor.
     *
     * @param type \Support\Support\Interfaces\SupportRepositoryInterface $support
     *
     * @return type
     */
    public function __construct(SupportRepositoryInterface $support)
    {
        $this->model = $support;
        parent::__construct();
    }

    /**
     * Show support's list.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function index()
    {
        $supports = $this->model->all();

        return $this->theme->of('support::public.support.index', compact('supports'))->render();
    }

    /**
     * Show support.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function show($slug)
    {
        $support = $this->model->findBySlug($slug);

        return $this->theme->of('support::public.support.show', compact('support'))->render();
    }
}
